%% beamerfontthemeKIT.sty: LaTeX style for KIT presentations
%% =========================================================
%% Author: Dr. Thomas Hertweck, Thomas.Hertweck@kit.edu
%% =========================================================

\ProvidesPackage{beamerfontthemeKIT}[2025/03/03 v2.0 beamer font theme KIT]

\RequirePackage[T1]{fontenc}
\RequirePackage[medium,scale=0.92]{librefranklin} % scale=0.92 for compatibility with Franklin Gothic
\RequirePackage[sfdefault]{arimo}
\RequirePackage[osf,sc]{mathpazo}
\RequirePackage[10pt]{moresize}
\RequirePackage{anyfontsize}

%% default font
\renewcommand{\familydefault}{\sfdefault}
\renewcommand{\rmdefault}{\sfdefault}

% As a technical note, points in TeX follow the standard American point size in which 1 pt is
% approximately 0.35136 mm. The standard point size used in most modern computer programs 
% (known as the desktop publishing point or PostScript point) has 1 pt equal to approximately 
% 0.3527 mm while the standard European point size (known as the Didot point) had 1 pt equal 
% to approximately 0.37597151 mm
%
% Local setup:
% \TINY(**)
% \Tiny(**)
% \tiny
% \ssmall(*)
% \scriptsize
% \footnotesize
% \small       
% \normalsize  
% \large       
% \Large       
% \LARGE       
% \huge        
% \Huge        
% \HUGE(*)     
% (*) provided by moresize
% (**) provided by beamer

\setbeamerfont{title}{size*={24.88pt}{22.39pt},family={\librefranklin}}
\setbeamerfont{subtitle}{size*={9pt}{10.8pt},family={\librefranklin}}
\ifkit@largefont
\setbeamerfont{author}{size*={8pt}{9.6pt}}
\setbeamerfont{date}{size*={8pt}{9.6pt}}
\else%
\setbeamerfont{author}{size*={7pt}{8.4pt}}
\setbeamerfont{date}{size*={7pt}{8.4pt}}
\fi
\setbeamerfont{pageno}{size*={5pt}{6pt}}
\setbeamerfont{shortdate}{size*={5pt}{6pt}}
\setbeamerfont{shortauthor}{size*={5pt}{6pt}}
\setbeamerfont{shorttitle}{size*={5pt}{6pt}}
\setbeamerfont{shortinstitute}{size*={5pt}{6pt}}

\setbeamerfont{frametitle}{size*={17pt}{17pt},family={\librefranklin}}
\ifkit@strict%
\setbeamerfont{framesubtitle}{size*={17pt}{17pt},family={\librefranklin}}
\else%
\setbeamerfont{framesubtitle}{size*={15pt}{15pt},family={\librefranklin}}
\fi
\ifthenelse{\equal{\insertaspectratio}{43}}{\setbeamerfont{framesubtitle}{size*={15pt}{15pt},family={\librefranklin}}}{}

\setbeamerfont{itemize item}{size=\normalsize}
\setbeamerfont{itemize subitem}{size=\normalsize}
\setbeamerfont{itemize subsubitem}{size=\footnotesize}
\setbeamerfont{enumerate item}{size=\normalsize}
\setbeamerfont{enumerate subitem}{size=\normalsize}
\setbeamerfont{enumerate subsubitem}{size=\footnotesize}

\ifkit@strict%
\setbeamerfont{section in toc}{size*={17pt}{17pt},family={\librefranklin}}
\else%
\setbeamerfont{section in toc}{size=\normalsize}
\fi
\setbeamerfont{subsection in toc}{size=\normalsize}
\setbeamerfont{toctitle}{size=\large,family={\librefranklin}}

\setbeamerfont{title on endpage}{size=\Huge,series=\bfseries}

\setbeamerfont{section number}{size*={24.88pt}{22.39pt},family={\librefranklin}}
\setbeamerfont{section title}{size*={24.88pt}{22.39pt},family={\librefranklin}}
\setbeamerfont{section intro}{size*={7pt}{8.4pt}}

\setbeamerfont{part name}{size=\HUGE,family={\librefranklin}}
\setbeamerfont{part title}{size=\Huge}

\setbeamerfont{block title}{size=\normalsize,series=\bfseries}
\setbeamerfont{block title example}{size=\normalsize,series=\bfseries}
\setbeamerfont{block title alerted}{size=\normalsize,series=\bfseries}
\setbeamerfont{block head}{size=\normalsize,series=\bfseries}

\setbeamerfont{bibliography entry author}{size=\normalsize}
\setbeamerfont{bibliography entry title}{size=\normalsize,series=\bfseries}
\setbeamerfont{bibliography entry location}{size=\normalsize,series=\mdseries}
\setbeamerfont{bibliography entry note}{size=\normalsize}

\setbeamerfont{verse}{size=\normalsize,family=\sffamily,series=\slshape}
\setbeamerfont{quotation}{size=\normalsize,family=\sffamily,series=\slshape}
\setbeamerfont{quote}{size=\normalsize,family=\sffamily,series=\slshape}